Skip to Content

List extensions

Returns the organization's published extensions with their latest version, newest first, filterable by creation time (`after`, `before`).

GET
/v1/extensions

Returns the organization's published extensions with their latest version, newest first, filterable by creation time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
after?string
before?string

Response Body

ExtensionPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.extensions.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "displayName": "string",
      "description": "string",
      "runtime": "hosted",
      "latestVersion": {
        "id": "string",
        "version": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation